NameAndPropertyAlignment (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.impl.method
Class NameAndPropertyAlignment

    java.lang.Object
      fr.inrialpes.exmo.align.impl.BasicAlignment
          fr.inrialpes.exmo.align.impl.ObjectAlignment
              fr.inrialpes.exmo.align.impl.DistanceAlignment
                  fr.inrialpes.exmo.align.impl.method.NameAndPropertyAlignment

All Implemented Interfaces:
  Cloneable, Iterable<Cell>, Alignment, AlignmentProcess, Visitable

    public class NameAndPropertyAlignment

extends DistanceAlignment
implements AlignmentProcess

This class has been built for ISWC experiments with bibliography. It implements a non iterative (one step) OLA algorithms based on the name of classes and properties. It could be made iterative by just adding range/domain on properties... The parameters are: - threshold: above what do we select for the alignment; - epsillon [ignored]: for convergence - pic1: weigth for class name - pic2: weight for class attributes - pia1 [ignored=1]: weigth for property name - pia3 [ignored=0]: weigth for property domain - pia4 [ignored=0]: weigth for property range

Version:
  $Id: NameAndPropertyAlignment.java 1299 2010-03-07 19:47:04Z euzenat $
Author:
  Jérôme Euzenat / Jerome Pierson

Field Summary
`private HeavyLoadedOntology<Object>` | `honto1`
`private HeavyLoadedOntology<Object>` | `honto2`

Fields inherited from class fr.inrialpes.exmo.align.impl.ObjectAlignment
`init`

Fields inherited from class fr.inrialpes.exmo.align.impl.BasicAlignment
`debug, extensions, hash1, hash2, level, namespaces, onto1, onto2, time, type`

Constructor Summary
`NameAndPropertyAlignment()` Creation

Method Summary
`void` | `align(Alignment alignment, Properties params)` Processing
`private double` | `alignLocal(Set<Object> prop1, Set<Object> prop2)` Make a local alignement
`void` | `init(Object o1, Object o2, Object ontologies)` Initialisation The class requires HeavyLoadedOntologies

Methods inherited from class fr.inrialpes.exmo.align.impl.DistanceAlignment
`addAlignDistanceCell, cleanUp, extract, extractqq, extractqqgreedy, extractqs, getAlignedDistance1, getAlignedDistance2, getSimilarity, printDistanceMatrix, setSimilarity`

Methods inherited from class fr.inrialpes.exmo.align.impl.ObjectAlignment
`createCell, createNewAlignment, getOntology1URI, getOntology2URI, init, loadInit, ontology1, ontology2, toObjectAlignment, toURIAlignment`

Methods inherited from class fr.inrialpes.exmo.align.impl.BasicAlignment
`accept, addAlignCell, addAlignCell, addAlignCell, addAlignCell, addCell, clone, compose, cut, cut, cut2, diff, dump, getAlignCell1, getAlignCell2, getAlignCells1, getAlignCells2, getAlignedObject1, getAlignedObject2, getAlignedRelation1, getAlignedRelation2, getAlignedStrength1, getAlignedStrength2, getArrayElements, getElements, getExtension, getExtensions, getFile1, getFile2, getLevel, getOntology1, getOntology2, getOntologyObject1, getOntologyObject2, getParameters, getType, getXNamespace, getXNamespaces, harden, ingest, inverse, iterator, join, meet, nbCells, remCell, removeAlignCell, render, setExtension, setExtensions, setFile1, setFile2, setLevel, setOntology1, setOntology2, setType, setXNamespace`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.semanticweb.owl.align.Alignment
`addAlignCell, addAlignCell, clone, compose, cut, cut, diff, dump, getAlignCell1, getAlignCell2, getAlignCells1, getAlignCells2, getAlignedObject1, getAlignedObject2, getAlignedRelation1, getAlignedRelation2, getAlignedStrength1, getAlignedStrength2, getElements, getExtension, getExtensions, getFile1, getFile2, getLevel, getOntology1, getOntology1URI, getOntology2, getOntology2URI, getType, harden, init, inverse, iterator, join, meet, nbCells, remCell, render, setExtension, setFile1, setFile2, setLevel, setOntology1, setOntology2, setType`

Methods inherited from interface org.semanticweb.owl.align.Visitable
`accept`

Field Detail

### honto1

    private HeavyLoadedOntology<Object> honto1

### honto2

    private HeavyLoadedOntology<Object> honto2

Constructor Detail

### NameAndPropertyAlignment

    public NameAndPropertyAlignment()

  Creation

Method Detail

### init

    public void init(Object o1,
                     Object o2,
                     Object ontologies)
              throws AlignmentException

  Initialisation The class requires HeavyLoadedOntologies

  Specified by:
    `init` in interface `Alignment`
  Overrides:
    `init` in class `BasicAlignment`
  Throws:
    `AlignmentException`

### align

    public void align(Alignment alignment,
                      Properties params)
               throws AlignmentException

  Processing

  Specified by:
    `align` in interface `AlignmentProcess`
  Overrides:
    `align` in class `DistanceAlignment`
  Throws:
    `AlignmentException`

### alignLocal

    private double alignLocal(Set<Object> prop1,
                              Set<Object> prop2)

  Make a local alignement

  Returns:
    an average of all the property alignement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010